<?php
	/*************************************************************************************************************************************
	This product was originally created by Matt Berntsen in October of 2005.
	I can be reached at <http://www.MattBerntsen.net>.
	It is licensed by the OSL v2.1 available in the included license.txt file and at <http://opensource.org/licenses/osl-2.1.php>.
	*************************************************************************************************************************************/

	include_once('./include/functions.php');
	echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">',
    	'<HTML><HEAD><TITLE>SUACS Test</TITLE><META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">';
	if (getenv(HTTP_X_FORWARDED_FOR))
		$ip = getenv(HTTP_X_FORWARDED_FOR);
	else
		$ip = getenv(REMOTE_ADDR);

	/** Connect to the DB **/
	$link = db_connect();
	/****/
	
	echo "</HEAD><BODY>";

	/** Validate user 'admin' is logged out. **/
	echo "Admin status: ".get_status("admin", $ip)." - Should be 0<br><br>";
	/****/

	/** Log user 'admin' in. **/
	if(verify_pass("admin", "password")){
		echo "Username/Pass: admin/password<br><br>";
		login_user("admin", $ip);
	}
	/****/

	/** Validate user 'admin' is logged in. **/
	echo "Admin status: ".get_status("admin", $ip)." - Should be 1<br><br>";
	/****/

	/** Add user test_usr **/
	echo "Creating user test_usr.<br><br>";
	add_user("test_usr", "testpass", 2, "TEST DATA");
	/****/

	/** Get List of Users **/
	echo "List of users: <br>";
	$users = get_users();
	for ($i = 0; $i < sizeof($users); $i++)
		echo " * ".$users[$i]."<br>";
	echo "<br>";
	/****/
	
	/** Get info for user test_usr **/
	echo "Data for test_usr:<br>";
	$usr = get_user_info("test_usr");
	echo "Status: ".$usr[0]."<br>Data: ".$usr[1]."<br>Enabled: ".$usr[2]."<br>Active: ".$usr[3]."<br>Last Access (blank): ".$usr[4]."<br><br>";
	/****/


	/** Update test_usr **/
	echo "Give test_usr new data<br><br>";
	update_user("test_usr", 4, 0, "New Data");
	/****/
	
	/** Force test_usr pass change **/
	change_pass("test_usr", "newPass");
	echo "Force test_usr pass change:<br>Test old pass (blank=false): ".verify_pass("test_usr", "testpass")."<br>Test new pass: ".verify_pass("test_usr", "newPass")."<br><br>";

	/** Get info for user test_usr **/
	echo "Data for test_usr:<br>";
	$usr = get_user_info("test_usr");
	echo "Status: ".$usr[0]."<br>Data: ".$usr[1]."<br>Enabled: ".$usr[2]."<br>Active: ".$usr[3]."<br>Last Access: ".$usr[4]."<br><br>";
	/****/

	/** Delete user test_usr **/
	echo "Removing user test_usr<br><br>";
	remove_user("test_usr");
	/****/

	/** Get List of Users **/
	echo "List of users: <br>";
	$users = get_users();
	for ($i = 0; $i < sizeof($users); $i++)
		echo " * ".$users[$i]."<br>";
	echo "<br>";
	/****/





		/** Log user 'admin' out. **/
	logout_user("admin");
	/****/

	echo "</BODY></HTML>";
	if($link)
		mysql_close($link);
?>